Bug 191476 - lang/luajit not linked against pthread
Summary: lang/luajit not linked against pthread
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 13:07 UTC by justin
Modified: 2022-01-05 22:22 UTC (History)
3 users (show)

See Also:


Attachments
svn-diff-luajit-pthread (948 bytes, patch)
2018-02-13 21:22 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description justin 2014-06-29 13:07:48 UTC
The Lua port was changed to link against pthread
http://svnweb.freebsd.org/ports?view=revision&revision=324286

But the luajit one was not. Unfortunately that means that if you open a library linked to pthread in luajit it just hangs forever in a kernel mutex which is not very helpful. This means that I have to compile my own luajit instead, and not use the one that pkg installs which is annoying.

(or someone could fix the underlying issue of an executable not linked to pthread not being able to dlopen a library linked to it...)
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-01-10 21:02:07 UTC
Maintainer feedback?
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-02-13 21:22:34 UTC
Created attachment 190597 [details]
svn-diff-luajit-pthread

As option?
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-02-25 14:16:39 UTC
ping!
Comment 4 Daniel Engberg freebsd_committer 2021-12-07 00:14:58 UTC
Hi Sergey,

Is this something we should fix or should we direct users to openresty fork as that seems to be more active?
Comment 5 commit-hook freebsd_committer 2022-01-05 22:22:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=68954edbe01044a7d72eeac0f103cc4c1ee633ee

commit 68954edbe01044a7d72eeac0f103cc4c1ee633ee
Author:     Sergey A. Osokin <osa@FreeBSD.org>
AuthorDate: 2022-01-05 22:20:47 +0000
Commit:     Sergey A. Osokin <osa@FreeBSD.org>
CommitDate: 2022-01-05 22:20:47 +0000

    lang/luajit: link with pthread

    Bump PORTREVISION.

    PR:     191476

 lang/luajit/Makefile | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)
Comment 6 Sergey A. Osokin freebsd_committer 2022-01-05 22:22:56 UTC
Committed with some modifications, thanks!